Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.emf.ecp.view.spi.core.swt
Class ContainerSWTRenderer<VELEMENT extends VElement>

    java.lang.Object
      org.eclipse.emf.ecp.view.model.common.AbstractRenderer<VELEMENT>
          org.eclipse.emfforms.spi.swt.core.AbstractSWTRenderer<VELEMENT>
              org.eclipse.emf.ecp.view.spi.core.swt.ContainerSWTRenderer<VELEMENT>

Type Parameters:
  `VELEMENT` - the `VElement` of the renderer

Direct Known Subclasses:
  CollapsableGroupSWTRenderer, DIContainerSWTRenderer, GroupSWTRenderer, PGroupRenderer, PGroupRenderer, SWTCategoryRenderer, SWTDynamicContainmentItemRenderer, SWTDynamicContainmentTreeRenderer, SWTStackItemRenderer, VerticalLayoutSWTRenderer, ViewSWTRenderer

    public abstract class ContainerSWTRenderer<VELEMENT extends VElement>

extends AbstractSWTRenderer<VELEMENT>

The `ContainerSWTRenderer` is a super class for all Renderer which renders its contents vertically.

Author:
  Eugen Neufeld

Constructor Summary
`ContainerSWTRenderer(VELEMENT vElement, ViewModelContext viewContext, ReportService reportService, EMFFormsRendererFactory factory, EMFFormsDatabinding emfFormsDatabinding)` Default constructor.

Method Summary
`SWTGridDescription` | `getGridDescription(SWTGridDescription gridDescription)` Returns the GridDescription for this Renderer.

Methods inherited from class org.eclipse.emfforms.spi.swt.core.AbstractSWTRenderer
`finalizeRendering, init, render`

Methods inherited from class org.eclipse.emf.ecp.view.model.common.AbstractRenderer
`getVElement, getViewModelContext`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ContainerSWTRenderer

    public ContainerSWTRenderer(VELEMENT vElement,
                                ViewModelContext viewContext,
                                ReportService reportService,
                                EMFFormsRendererFactory factory,
                                EMFFormsDatabinding emfFormsDatabinding)

  Default constructor.

  Parameters:
    `vElement` - the view model element to be rendered
    `viewContext` - the view context
    `reportService` - the `ReportService`
    `factory` - the `EMFFormsRendererFactory`
    `emfFormsDatabinding` - The `EMFFormsDatabinding`
  Since:
    1.6

Method Detail

### getGridDescription

    public SWTGridDescription getGridDescription(SWTGridDescription gridDescription)

  Returns the GridDescription for this Renderer.

  Specified by:
    `getGridDescription` in class `AbstractSWTRenderer<VELEMENT extends VElement>`
  Parameters:
    `gridDescription` - the current `SWTGridDescription`
  Returns:
    the number of controls per row
  See Also:
    `AbstractSWTRenderer.getGridDescription(SWTGridDescription)`

Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015. All Rights Reserved.